Bug 12560 (xorg-server-1.4.1)

Summary: xorg-server 1.4.1 tracker
Product: xorg Reporter: Daniel Stone <daniel>
Component: Server/GeneralAssignee: Daniel Stone <daniel>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium CC: ademar, bugs, dberkholz, evgeni, ingmar, matthieu.herrb, shirishag75, shrek
Version: git   
Hardware: Other   
OS: All   
i915 platform: i915 features:
Bug Depends on: 9180, 9240, 10683, 12520, 12606, 12815, 12858, 13078, 13114, 13407, 13511, 13538, 13539, 14121, 14639, 15281    
Bug Blocks:    

Description Daniel Stone 2007-09-25 06:15:41 UTC
This is just a tracker bug for 1.4.1.
Comment 1 Yuval Kashtan 2007-11-02 01:45:58 UTC
This was tested on both OpenSuse 10.2 and 10.3 which AFAIK comes with 1.4
Comment 2 Ademar Reis 2007-11-13 09:00:09 UTC
Some sugestions for bugs to be considered for 1.4.1 since apparently they've been introduced by xserver-1.4:

bug #12434, bug #13222, bug #13217 and bug #13223

Comment 3 Ademar Reis 2007-11-14 09:17:02 UTC
bug #13222 has been closed, but during the discussion it was stated that evdev-1.1.x versions are not compatible with xserver-1.4 (the latest official version is 1.1.5).

I suggest coordinating the release of a new evdev driver with xserver-1.4.1 and also adding a small note on the release notes about it.

BTW, I also have a new suggestion for a fix before 1.4.1: bug #13246
Comment 4 Evgeni Golov 2007-11-15 10:01:08 UTC
I would suggest bug #12476, which is fixed in git now.
Comment 5 Hong Liu 2007-11-15 22:50:51 UTC
bug #12439: quirk to samsung 205BW display. Patch is attached in the bug.

Comment 6 Daniel Stone 2007-11-20 17:10:03 UTC
sorry, but i'm not merging 12439.  if eric, adam or keith wants to prepare a full list of quirks to backport _from master_ then that's fine, but i'd rather not use code that hasn't even hit master, much less taking one fix instead of all of them.
Comment 7 Sascha Hlusiak 2007-12-12 13:55:16 UTC
I'd like to see this commit from master merged to 1.4.1 since I need it like breathing (otherwise I get a black screen on Intel 855GM):

commit c6cfcd408df3e44d0094946c0a7d2fa944b4d2d1
Author: Hong Liu <hong.liu@intel.com>
Date:   Wed Dec 5 17:48:28 2007 +0100

    Bug 13308: Verify and reject obviously broken modes.
Comment 8 Peter Hutterer 2007-12-19 19:18:42 UTC
Adding 13511: endless loop in PlayReleasedEvents
fixed in master, needs to be cherry-picked.
Comment 9 Daniel Stone 2009-08-31 17:55:34 UTC
hah, this doesn't exactly affect 7.5.  marking as fixed since it's released.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.